[1/1] target-sdk-provides-dummy: add more perl modules to avoid populate_sdk failure

Submitted by Qi.Chen@windriver.com on Jan. 10, 2019, 2:37 a.m. | Patch ID: 157667

Details

Message ID 59a4bff6f969b511bf8eb453472bcfffa91a2daa.1547087830.git.Qi.Chen@windriver.com
State Superseded
Commit 1b12c176827c2d0cbb7867da73efac56826036ed
Headers show

Commit Message

Qi.Chen@windriver.com Jan. 10, 2019, 2:37 a.m.
When 'adduser' package, which is from meta-perl layer, is added to rootfs,
we will get do_populate_sdk failure like below.

Error:
 Problem: package perl-module-cwd-5.24.4-r0.core2_64 requires perl-module-dynaloader, but none of the providers can be installed
   - package perl-module-file-temp-5.24.4-r0.core2_64 requires perl-module-cwd, but none of the providers can be installed
   - package perl-module-dynaloader-5.24.4-r0.core2_64 requires perl-module-config, but none of the providers can be installed
   - package adduser-3.118-r0.core2_64 requires perl-module-file-temp, but none of the providers can be installed
   - package target-sdk-provides-dummy-1.0-r0.sdk_provides_dummy_target conflicts with perl provided by perl-5.24.4-r0.core2_64

This is because adduser depends on some perl modules which are not
listed in target-sdk-provides-dummy.

So add these perl modules to avoid such failure.

Signed-off-by: Chen Qi <Qi.Chen@windriver.com>
---
 meta/recipes-core/meta/target-sdk-provides-dummy.bb | 3 +++
 1 file changed, 3 insertions(+)

Patch hide | download patch | download mbox

diff --git a/meta/recipes-core/meta/target-sdk-provides-dummy.bb b/meta/recipes-core/meta/target-sdk-provides-dummy.bb
index edf07c4..26716ac 100644
--- a/meta/recipes-core/meta/target-sdk-provides-dummy.bb
+++ b/meta/recipes-core/meta/target-sdk-provides-dummy.bb
@@ -23,11 +23,14 @@  DUMMYPROVIDES = "\
     perl-module-file-glob \
     perl-module-file-path \
     perl-module-file-stat \
+    perl-module-file-temp \
     perl-module-getopt-long \
     perl-module-io-file \
+    perl-module-overload \
     perl-module-posix \
     perl-module-thread-queue \
     perl-module-threads \
+    perl-module-warnings \
     /bin/sh \
     /bin/bash \
     /usr/bin/env \

Comments

Vincent Prince Feb. 8, 2019, 12:09 p.m.
Hi all,

I also added those to my target-sdk-provides-dummy.bappend to get it work:

    perl-module-config \
    perl-module-warnings-register \

Maybe we could add ALLOW_EMPTY in perl recipe or add every empty
perl-module* ?

Regards,
Vincent

Le jeu. 10 janv. 2019 à 03:30, Chen Qi <Qi.Chen@windriver.com> a écrit :

> When 'adduser' package, which is from meta-perl layer, is added to rootfs,
> we will get do_populate_sdk failure like below.
>
> Error:
>  Problem: package perl-module-cwd-5.24.4-r0.core2_64 requires
> perl-module-dynaloader, but none of the providers can be installed
>    - package perl-module-file-temp-5.24.4-r0.core2_64 requires
> perl-module-cwd, but none of the providers can be installed
>    - package perl-module-dynaloader-5.24.4-r0.core2_64 requires
> perl-module-config, but none of the providers can be installed
>    - package adduser-3.118-r0.core2_64 requires perl-module-file-temp, but
> none of the providers can be installed
>    - package target-sdk-provides-dummy-1.0-r0.sdk_provides_dummy_target
> conflicts with perl provided by perl-5.24.4-r0.core2_64
>
> This is because adduser depends on some perl modules which are not
> listed in target-sdk-provides-dummy.
>
> So add these perl modules to avoid such failure.
>
> Signed-off-by: Chen Qi <Qi.Chen@windriver.com>
> ---
>  meta/recipes-core/meta/target-sdk-provides-dummy.bb | 3 +++
>  1 file changed, 3 insertions(+)
>
> diff --git a/meta/recipes-core/meta/target-sdk-provides-dummy.bb
> b/meta/recipes-core/meta/target-sdk-provides-dummy.bb
> index edf07c4..26716ac 100644
> --- a/meta/recipes-core/meta/target-sdk-provides-dummy.bb
> +++ b/meta/recipes-core/meta/target-sdk-provides-dummy.bb
> @@ -23,11 +23,14 @@ DUMMYPROVIDES = "\
>      perl-module-file-glob \
>      perl-module-file-path \
>      perl-module-file-stat \
> +    perl-module-file-temp \
>      perl-module-getopt-long \
>      perl-module-io-file \
> +    perl-module-overload \
>      perl-module-posix \
>      perl-module-thread-queue \
>      perl-module-threads \
> +    perl-module-warnings \
>      /bin/sh \
>      /bin/bash \
>      /usr/bin/env \
> --
> 1.9.1
>
> --
> _______________________________________________
> Openembedded-core mailing list
> Openembedded-core@lists.openembedded.org
> http://lists.openembedded.org/mailman/listinfo/openembedded-core
>
Vincent Prince March 27, 2019, 11:59 p.m.
This is a system generated Comment: Patch 157667 was automatically marked as superseded by patch 159819.